### Method

# AppStream Metadata releases_to_data

since: 0.16.0

#### Declaration [src]

    gchar*
    as_metadata_releases_to_data (
      AsMetadata* metad,
      AsReleaseList* releases,
      GError** error
    )

#### Description [src]

Convert a releases of an `AsReleaseList` entity into a release metadata XML representation.

Available since: 0.16.0

#### Parameters

`releases`

  Type: `AsReleaseList`

  The `AsReleaseList` to convert.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The XML representation or `NULL` on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.